<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>DBAccess and jQuery</title>
    <style>
        table	{
            border-collapse: collapse;
            font-family: sans-serif;
        }
        th, td {
            border: 1px solid black;
            padding: 5px;
        }
        thead	{
            background-color: black;
            color: white;
        }
        tr.hilite	{
            background-color: darkgray;
            color: white;
            cursor: pointer;
        }
        tbody tr.checked	{
            color: red;
        }
        #btn {
            font-size: large;
            float: right;
            color: red;
            display: none;
        }
    </style>
</head>
<body>

<table id="mysongs" style="width: 600px">
    <thead>
    <tr>
        <th>#</th>
        <th>Title</th>
        <th>Artist</th>
        <th>Album</th>
        <th>Runtime</th>
    </tr>
    </thead>
    <tbody>
    <?php
    include("dbaccess_rows.php");
    ?>
    </tbody>
    <input id='btn' type='button' value='Add to Cart' />


</table>

<script src="jquery.js"></script>
<script>

    var numCheckedRows = 0;

    $( document ).ready(function() {

        $('#mysongs tr').each(function(){
            if ($(this).parent().is('thead'))
                $(this).append('<th>Select</th>');
            if ($(this).parent().is('tbody'))
                $(this).append('<td style="text-align: center"><input type="checkbox"></td>')
                    .find(':checkbox').change(function(){
                        if ($(this).prop('checked')) {
                            $(this).parents('tr').addClass('checked');
                            if (numCheckedRows==0) $('#btn').show("slow");
                            numCheckedRows++;
                        } else {
                            $(this).parents('tr').removeClass('checked');
                            if (numCheckedRows==1) $('#btn').hide("slow");
                            numCheckedRows--;
                        }
                    });
            $(this).hover(function(){
                $(this).toggleClass('hilite');
            });
        });

        $('#btn').click(function(){

            var selIdsText = '{ ';
            $('#mysongs input:checked').
                map(function(){
                    return $(this).parents('tr').children().first()
                }).
                each(function(){selIdsText+=$(this).text()+" ";});
            selIdsText += '}';
            alert('cart button: '+ selIdsText);

            $.ajax({
                type: 'POST',
                url: 'serverDummy.php',
                data: {selection: selIdsText}
            });
        });

    });
</script>
</body>
</html>